FROM bashellite-base-centos8:latest
USER root
ENV PROGNAME="bashellite"
ENV USERNAME="${PROGNAME}"
ENV OPTDIR="/opt/${PROGNAME}"
ENV PROVIDERDIR="${OPTDIR}/providers.d"
ENV TERM="xterm-256color"
ENV PROVIDER="docker-image"
ADD . ${PROVIDERDIR}/${PROVIDER}
RUN { echo -e "\n[INFO] Executing ${PROVIDER} provider installer."; \
      bash ${PROVIDERDIR}/${PROVIDER}/install_provider.sh || exit 1; };
USER ${USERNAME}
WORKDIR ${HOMEDIR}

